local t = require("../utils/templater")

modules.kernel = {
	flavor = "virt",
	mkinitfs = function(rootfs_path)
		local status = os.execute(t("sudo sed -i 's/^esac/esac;comp=zstd/' '{{rootfs_path}}'/sbin/mkinitfs && sudo chroot '{{rootfs_path}}' mkinitfs -o /boot/initramfs-{{flavor}} $(cat '{{rootfs_path}}'/usr/share/kernel/'{{flavor}}'/kernel.release)", {
			rootfs_path = rootfs_path,
			flavor = modules.kernel.flavor,
		}))
		if not (status == 0) then return status end
	end,
}

add_packages({ "linux-" .. modules.kernel.flavor, "zstd" })
add_file("/etc/update-extlinux.conf", [[# configuration for extlinux config builder

# Overwrite current /boot/extlinux.conf.
overwrite=1

# vesa_menu
# use fancy vesa menu (vesamenu.c32) menus, won't work with serial
vesa_menu=1

#default_kernel_opts=quiet
default_kernel_opts=
modules=loop,squashfs,sd-mod,usb-storage,ext4,vfat

# root device - if not specified, will be guessed using
# blkid -o export /dev/root
root=/dev/sda

# if set to non-zero, update-extlinux will be a lot more verbose.
verbose=0

hidden=0
timeout=3
default=lts
]])

add_file("/etc/mkinitfs/mkinitfs.conf", [[
features="squashfs ata base cdrom ext4 keymap kms mmc nvme scsi usb virtio"
disable_trigger=yes
]])
